# Darksiders: Genesis 1.0.3
# BID: DB17131624D04A9C

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget = (1000/FPS) cutted to 1 decimal
  -
    type: evaluate_write
    address: [MAIN, 0x59D7150, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 1)", "TruncDec(FRAMETIME_TARGET, 1)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x59FDD30, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x51A7A78, 0]
    value_type: int32
    value: [0, 0]
  -
    type: block
    what: timing
